#![feature(let_chains)]
[package]
name = "reversed-rooms-launcher"
version = "0.2.0"
edition = "2024"

[dependencies]
directories = "6.0.0"
iced = { git = "https://github.com/RabbyDevs/iced.git", rev = "388a419", features = ["tokio", "tiny-skia", "wgpu", "image", "debug"], default-features = false }
image = "0.25.6"
serde = { version = "1.0.219", features = ["serde_derive"] }
serde_json = "1.0.140"
tempfile = "3.19.1"
iced_video_player = {path = "./iced_video_player"}
url = "2.5.4"
rust-embed = "8.7.0"
file-format = "0.26.0"
strum = "0.27.1"
strum_macros = "0.27.1"

[profile.release]
strip = true      # Automatically strip symbols from the binary.
lto = true        # Link-time optimization.
opt-level = 3     # Optimize for speed.
codegen-units = 1 # Maximum size reduction optimizations.